execute at @a[scores={char=24,spell_witc_1_1=1}] run kill @e[type=item,nbt={Item:{id:"minecraft:beetroot_seeds",Count:1b}}]
execute at @a[scores={char=24,spell_witc_2_1=1}] run kill @e[type=item,nbt={Item:{id:"minecraft:rabbit_hide",Count:1b}}]
execute at @a[scores={char=24,spell_witc_3=1}] run kill @e[type=item,nbt={Item:{id:"minecraft:sand",Count:1b}}]

#claws of the desert
execute at @a[scores={char=24,spell_witc_1_1=1}] run playsound minecraft:block.sand.place master @a[distance=..1] ~ ~ ~ 1 0.1 1
execute at @a[scores={char=24,spell_witc_1_1=1}] run summon armor_stand ~ ~ ~ {Invisible:1b,Tags:["sand"],NoGravity:0b}
tp @e[tag=sand,limit=1] @a[scores={char=24,spell_witc_1_1=1},limit=1]

execute as @e[tag=sand] at @s unless block ^ ^1 ^1 air run summon armor_stand ~ ~ ~ {Invisible:1b,Tags:["sandexplosion"],NoGravity:1b}
execute as @e[tag=sand] at @s unless block ^ ^1 ^1 air run kill @s

execute at @e[tag=sand] run particle block sandstone ~ ~ ~ 0.2 1 0.2 0.0001 50 normal
execute at @e[tag=sand] run particle block sand ~ ~ ~ 0.2 1 0.2 0.0001 50 normal
execute at @e[tag=sand] run particle falling_dust sand ~ ~ ~ 0.2 1 0.2 0.0001 20 normal
execute as @e[tag=sand] at @s run tp @s ^ ^ ^0.7

execute store result entity @e[tag=sand,limit=1] Rotation[1] float 1 run clear

execute if entity @a[scores={char=24},team=yellow] at @e[tag=sand] run execute if entity @a[team=purple,distance=..2] run summon armor_stand ~ ~ ~ {Invisible:1b,Tags:["sandexplosion"],NoGravity:1b}
execute if entity @a[scores={char=24},team=purple] at @e[tag=sand] run execute if entity @a[team=yellow,distance=..2] run summon armor_stand ~ ~ ~ {Invisible:1b,Tags:["sandexplosion"],NoGravity:1b}
execute if entity @e[tag=sandexplosion] run kill @e[tag=sand]
execute at @a[scores={char=24,spell_witc_1_1=15..}] run kill @e[tag=sand]


execute at @e[tag=sandexplosion] run particle minecraft:falling_dust sandstone ~ ~1 ~ 2 2 2 1 400 force
execute at @e[tag=sandexplosion] run playsound minecraft:block.sand.fall master @a[distance=..20] ~ ~ ~ 1.0 0.6 1.0

execute at @a[scores={char=24},team=purple] run execute at @e[tag=sandexplosion] run effect give @p[team=yellow,distance=..3] minecraft:slowness 2 1
execute at @a[scores={char=24},team=yellow] run execute at @e[tag=sandexplosion] run effect give @p[team=purple,distance=..3] minecraft:slowness 2 1

execute if entity @a[scores={char=24},team=yellow] at @e[tag=sandexplosion] run execute if entity @a[team=purple,distance=..3,scores={HP=..6}] run effect give @p[team=purple,scores={HP=..6}] instant_damage 1 10
execute if entity @a[scores={char=24},team=yellow] at @e[tag=sandexplosion] run execute if entity @a[team=purple,distance=..3,scores={HP=..6,CC_intangible=0}] run execute as @a[scores={char=24}] run function chars:add_kill
execute if entity @a[scores={char=24},team=yellow] at @e[tag=sandexplosion] run execute if entity @a[team=purple,distance=..3,scores={HP=7..}] run effect give @p[team=purple,scores={HP=7..}] instant_damage

execute if entity @a[scores={char=24},team=purple] at @e[tag=sandexplosion] run execute if entity @a[team=yellow,distance=..3,scores={HP=..6}] run effect give @p[team=yellow,scores={HP=..6}] instant_damage 1 10
execute if entity @a[scores={char=24},team=purple] at @e[tag=sandexplosion] run execute if entity @a[team=yellow,distance=..3,scores={HP=..6,CC_intangible=0}] run execute as @a[scores={char=24}] run function chars:add_kill
execute if entity @a[scores={char=24},team=purple] at @e[tag=sandexplosion] run execute if entity @a[team=yellow,distance=..3,scores={HP=7..}] run effect give @p[team=yellow,scores={HP=7..}] instant_damage

kill @e[tag=sandexplosion]


#approaching sandstorm
execute at @a[scores={char=24,spell_witc_2_1=1..40}] run particle minecraft:falling_dust sand ~ ~ ~ 1 1 1 1 3 force
execute at @a[scores={char=24,spell_witc_2_1=1..20}] run particle minecraft:block sand ~ ~ ~ 0.5 0.1 0.5 0.001 10 force
execute at @a[scores={char=24,spell_witc_2_1=21..40}] run particle minecraft:block sand ~ ~ ~ 1 0.3 1 0.001 20 force
execute at @a[scores={char=24,spell_witc_2_1=41..60}] run particle minecraft:block sand ~ ~ ~ 2 0.5 2 0.001 30 force

execute at @a[scores={char=24,spell_witc_2_1=61}] run particle minecraft:falling_dust sandstone ~ ~ ~ 3 1 3 1 400 force

execute at @a[scores={char=24,spell_witc_2_1=61..62},team=purple] run effect give @p[team=yellow,distance=..5] minecraft:weakness 2 100 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=purple] run effect give @p[team=yellow,distance=..5] minecraft:jump_boost 2 128 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=purple] run effect give @p[team=yellow,distance=..5] minecraft:blindness 2 128 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=purple] run effect give @p[team=yellow,distance=..5] minecraft:slowness 2 100 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=purple] run scoreboard players set @p[team=yellow,distance=..5] CC_stun 40
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=yellow] run effect give @p[team=purple,distance=..5] minecraft:weakness 2 100 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=yellow] run effect give @p[team=purple,distance=..5] minecraft:jump_boost 2 128 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=yellow] run effect give @p[team=purple,distance=..5] minecraft:blindness 2 128 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=yellow] run effect give @p[team=purple,distance=..5] minecraft:slowness 2 100 true
execute at @a[scores={char=24,spell_witc_2_1=61..62},team=yellow] run scoreboard players set @p[team=purple,distance=..5] CC_stun 40
execute at @a[scores={char=24,spell_witc_2_1=61..65}] run playsound minecraft:block.sand.fall master @a[distance=..20] ~ ~ ~ 1.0 0.3 1.0


#sandbender mantle
scoreboard players add @a[scores={char=24,spell_witc_1_1=1}] passive_witc 1
scoreboard players add @a[scores={char=24,spell_witc_2_1=1}] passive_witc 1
item replace entity @a[scores={char=24,passive_witc=5}] hotbar.3 with minecraft:sand{display:{Name:"{\"text\":\"Sandbender's Mantle\",\"color\":\"dark_aqua\",\"bold\":\"true\"}"},Enchantments:[{id:"minecraft:protection",lvl:1}]} 1
scoreboard players set @a[scores={char=24,passive_witc=5}] passive_witc 6
scoreboard players set @a[scores={char=24,passive_witc=6..}] passive_witc 6

execute at @a[scores={char=24,spell_witc_3=1..}] run particle minecraft:falling_dust sandstone ~ ~ ~ 0.5 1 0.5 1 200 force
effect give @a[scores={char=24,spell_witc_3=1..}] minecraft:absorption 5 2
scoreboard players set @a[scores={char=24,spell_witc_3=1..}] passive_witc 0
scoreboard players set @a[scores={char=24,spell_witc_3=1..}] spell_witc_3 0


title @a[scores={char=24,passive_witc=0}] actionbar {"text":"- - - - -","color":"yellow"}
title @a[scores={char=24,passive_witc=1}] actionbar ["",{"text":"||","bold":true,"color":"gold"},{"text":" - - - -","color":"yellow"}]
title @a[scores={char=24,passive_witc=2}] actionbar ["",{"text":"||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" - - -","bold":true,"color":"yellow"}]]
title @a[scores={char=24,passive_witc=3}] actionbar ["",{"text":"||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" - -","bold":true,"color":"yellow"}]
title @a[scores={char=24,passive_witc=4}] actionbar ["",{"text":"||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" -","bold":true,"color":"yellow"}]
title @a[scores={char=24,passive_witc=5..6}] actionbar ["",{"text":"||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"},{"text":" ||","bold":true,"color":"gold"}]









