kill @e[type=item,nbt={Item:{id:"minecraft:white_dye",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:quartz",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:light_gray_dye",Count:1b}}]

#P
effect give @a[scores={char=14}] speed 1 0 true
execute at @a[scores={char=14},team=yellow] run effect give @p[team=yellow,distance=1..7] speed 1 0 true
execute at @a[scores={char=14},team=purple] run effect give @p[team=purple,distance=1..7] speed 1 0 true

#pin the prey

execute at @a[scores={char=14,CC_grounded=1..}] run kill @e[tag=birbdash]
execute at @a[scores={char=14,CC_root=1..}] run kill @e[tag=birbdash]
execute at @a[scores={char=14,CC_stun=1..}] run kill @e[tag=birbdash]

execute at @a[scores={char=14,spell_skyq_1_1=1}] run playsound minecraft:entity.zombie.infect master @a[distance=..10] ~ ~ ~ 1 2 1
effect give @a[scores={char=14,spell_skyq_1_1=2}] minecraft:resistance 1 100 true
scoreboard players set @a[scores={char=14,spell_skyq_1_1=2}] CC_intangible 20
effect give @a[scores={char=14,spell_skyq_1_1=2}] minecraft:weakness 1 100 true
execute at @a[scores={char=14,spell_skyq_1_1=2}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["birbdash"],NoGravity:1b}
tp @e[tag=birbdash,limit=1] @a[scores={char=14,spell_skyq_1_1=2},limit=1]
execute at @a[scores={char=14,spell_skyq_1_1=2},limit=1] run tp @e[tag=birbdash,limit=1] ~ ~0.5 ~

execute as @e[tag=birbdash] at @s unless block ~ ~ ~ air run kill @s
execute as @e[tag=birbdash] at @s unless block ^ ^ ^1 air run kill @s
execute as @e[tag=birbdash] at @s unless block ^ ^1 ^0.5 air run kill @s
execute as @e[tag=birbdash] at @s unless block ^ ^1.5 ^1.5 air run kill @s
execute as @e[tag=birbdash] at @s unless block ^ ^1 ^1 air run kill @s
execute as @e[tag=birbdash] at @s unless block ^ ^ ^1 air run kill @s

execute as @e[tag=birbdash] at @s run tp @s ^ ^ ^1

tp @a[scores={char=14,spell_skyq_1_1=2..9}] @e[tag=birbdash,limit=1]
execute at @a[scores={char=14,spell_skyq_1_1=10}] run kill @e[tag=birbdash]
execute as @a[scores={char=14,spell_skyq_1_1=10}] at @s unless block ~ ~ ~ air run tp @s ~ ~1 ~

execute at @a[scores={char=14,spell_skyq_1_1=1}] run particle cloud ~ ~ ~ 0.2 0.2 0.2 0.01 7

execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=yellow] run scoreboard players set @a[team=purple,distance=..3] CC_grounded 60
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=purple] run scoreboard players set @a[team=yellow,distance=..3] CC_grounded 60
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=yellow] run effect give @a[team=purple,distance=..3] slowness 3 2
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=purple] run effect give @a[team=yellow,distance=..3] slowness 3 2
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=yellow] run effect give @a[team=purple,distance=..3] jump_boost 3 128 true
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=purple] run effect give @a[team=yellow,distance=..3] jump_boost 3 128 true
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=yellow] run effect clear @a[team=purple,distance=..3] levitation
execute at @a[scores={char=14,spell_skyq_1_1=1..15},team=purple] run effect clear @a[team=yellow,distance=..3] levitation


#nesting storm
execute at @a[scores={char=14,spell_skyq_2_1=1}] run tag @p[scores={char=14}] add nest
item replace entity @a[scores={char=14,spell_skyq_2_1=2}] hotbar.2 with minecraft:light_gray_dye{display:{Name:"{\"text\":\"Queen's Protection\",\"color\":\"dark_aqua\",\"bold\":\"true\"}"}} 1
clear @a[scores={char=14,spell_skyq_2_1=80}] light_gray_dye


execute at @a[scores={char=14,spell_skyq_3=1}] run tag @a[scores={char=14}] remove nest
execute at @a[scores={char=14,spell_skyq_3=1},team=yellow] run tag @p[team=yellow,distance=1..7] add nest
execute at @a[scores={char=14,spell_skyq_3=1},team=purple] run tag @p[team=purple,distance=1..7] add nest
execute at @a[scores={char=14,spell_skyq_3=1}] run scoreboard players set @a nestduration 0
scoreboard players set @a[scores={spell_skyq_3=1..}] spell_skyq_3 0

execute at @a[scores={nestduration=1..}] run playsound minecraft:entity.phantom.flap master @a[distance=..10] ~ ~ ~ 1 2 1
execute at @a[scores={nestduration=79..}] run playsound minecraft:entity.zombie.infect master @a[distance=..10] ~ ~ ~ 1 0.5 1
scoreboard players add @a[tag=nest] nestduration 1
execute at @a[scores={nestduration=80..}] run particle minecraft:cloud ~ ~ ~ 2 1 2 0.0001 300 normal
execute at @a[scores={nestduration=80..},team=yellow] run effect give @a[team=purple,distance=..4] slowness 2 100 true
execute at @a[scores={nestduration=80..},team=yellow] run effect give @a[team=purple,distance=..4] weakness 2 100 true
execute at @a[scores={nestduration=80..},team=yellow] run effect give @a[team=purple,distance=..4] jump_boost 2 127 true
execute at @a[scores={nestduration=80..},team=yellow] run effect give @a[team=purple,distance=..4] levitation 1 3 true
execute at @a[scores={nestduration=80..},team=purple] run effect give @a[team=yellow,distance=..4] slowness 2 100 true
execute at @a[scores={nestduration=80..},team=purple] run effect give @a[team=yellow,distance=..4] weakness 2 100 true
execute at @a[scores={nestduration=80..},team=purple] run effect give @a[team=yellow,distance=..4] jump_boost 2 127 true
execute at @a[scores={nestduration=80..},team=purple] run effect give @a[team=yellow,distance=..4] levitation 1 3 true
execute at @a[scores={nestduration=80..},team=yellow] run scoreboard players set @a[team=purple,distance=..4] CC_stun 40
execute at @a[scores={nestduration=80..},team=purple] run scoreboard players set @a[team=yellow,distance=..4] CC_stun 40
tag @a[scores={nestduration=80..}] remove nest
scoreboard players set @a[scores={nestduration=80..}] nestduration 0

execute at @e[tag=nest] run particle minecraft:cloud ~ ~ ~ 0.3 1 0.3 0.0001 15 normal

#windshield
execute at @e[tag=nest] run kill @e[type=arrow,distance=..4]
execute at @e[tag=nest] run kill @e[type=fireball,distance=..4]
execute at @e[tag=nest] run kill @e[type=ender_pearl,distance=..4]
execute at @e[tag=nest] run kill @e[type=snowball,distance=..4]
execute at @e[tag=nest] run kill @e[type=trident,distance=..4]

execute at @e[tag=nest] run kill @e[tag=toss,distance=..4]
execute at @e[tag=nest] run kill @e[tag=web,distance=..4]
execute at @e[tag=nest] run kill @e[tag=cube,distance=..4]
execute at @e[tag=nest] run kill @e[tag=sand,distance=..4]
execute at @e[tag=nest] run kill @e[tag=toxicity,distance=..4]
execute at @e[tag=nest] run kill @e[tag=toxicblindness,distance=..4]
execute at @e[tag=nest] run kill @e[tag=firestream,distance=..4]
execute at @e[tag=nest] run kill @e[tag=electrocute,distance=..4]
execute at @e[tag=nest] run kill @e[tag=knowledgeshoot,distance=..4]
execute at @e[tag=nest] run kill @e[tag=knowledge,distance=..4]
execute at @e[tag=nest] run kill @e[tag=braindamage,distance=..4]
execute at @e[tag=nest] run kill @e[tag=homingdamage,distance=..4]
execute at @e[tag=nest] run kill @e[tag=tracker,distance=..4]
execute at @e[tag=nest] run kill @e[tag=canister,distance=..4]
execute at @e[tag=nest] run kill @e[tag=turretshoot,distance=..4]
