kill @e[type=item,nbt={Item:{id:"minecraft:ghast_tear",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:cyan_stained_glass_pane",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:blue_ice",Count:1b}}]

#chilled path
execute at @a[scores={char=21,spell_necr_1_1=1}] run summon armor_stand ~ ~ ~ {Marker:1b,Invisible:1b,Tags:["chilledpath"]}
tp @e[tag=chilledpath,limit=1] @a[scores={char=21,spell_necr_1_1=1},limit=1]

execute as @e[tag=chilledpath] at @s unless block ^ ^1 ^1 air run kill @s

execute store result entity @e[tag=chilledpath,limit=1] Rotation[1] float 1 run clear
execute at @e[tag=chilledpath] run playsound minecraft:block.snow.place master @a[distance=..10] ~ ~ ~ 1 2 1
execute at @e[tag=chilledpath] run particle minecraft:block ice ~ ~ ~ 0.5 0.2 0.5 0.1 80 normal
execute at @a[scores={char=21,spell_necr_1_1=5..}] run execute at @e[tag=chilledpath] run particle minecraft:block ice ^ ^ ^-2 0.5 0.2 0.5 0.1 50 normal
execute at @a[scores={char=21,spell_necr_1_1=10..}] run execute at @e[tag=chilledpath] run particle minecraft:block ice ^ ^ ^-4 0.5 0.2 0.5 0.1 50 normal
execute at @a[scores={char=21,spell_necr_1_1=20..}] run execute at @e[tag=chilledpath] run particle minecraft:block ice ^ ^ ^-6 0.5 0.2 0.5 0.1 50 normal
execute at @a[scores={char=21,spell_necr_1_1=30..}] run execute at @e[tag=chilledpath] run particle minecraft:block ice ^ ^ ^-8 0.5 0.2 0.5 0.1 50 normal
execute at @e[tag=chilledpath] run particle minecraft:falling_dust snow ^ ^ ^-2 2.5 0.1 2.5 0.1 200 normal
execute as @e[tag=chilledpath] at @s run tp @s ^ ^ ^0.4
execute as @e[tag=chilledpath] at @s if block ~ ~-1 ~ air run tp @s ~ ~-0.5 ~

execute at @a[scores={char=21,spell_necr_1_1=30..}] run kill @e[tag=chilledpath]

execute at @a[scores={char=21},team=yellow] run execute at @e[tag=chilledpath] run effect give @a[team=purple,distance=..4] slowness 1 3
execute at @a[scores={char=21},team=yellow] run execute at @e[tag=chilledpath] run effect give @a[team=purple,distance=..1] slowness 1 100
execute at @a[scores={char=21},team=yellow] run execute at @e[tag=chilledpath] run effect give @a[team=purple,distance=..1] jump_boost 1 128 true
execute at @a[scores={char=21},team=yellow] run execute at @e[tag=chilledpath] run scoreboard players set @a[team=purple,distance=..1] CC_root 20
execute at @a[scores={char=21},team=yellow] run execute at @e[tag=chilledpath] unless entity @a[tag=tombmarked] run tag @p[distance=..4,team=purple] add tombmarked
execute at @a[scores={char=21},team=purple] run execute at @e[tag=chilledpath] run effect give @a[team=yellow,distance=..4] slowness 1 3
execute at @a[scores={char=21},team=purple] run execute at @e[tag=chilledpath] run effect give @a[team=yellow,distance=..1] slowness 1 100
execute at @a[scores={char=21},team=purple] run execute at @e[tag=chilledpath] run effect give @a[team=yellow,distance=..1] jump_boost 1 128 true
execute at @a[scores={char=21},team=purple] run execute at @e[tag=chilledpath] run scoreboard players set @a[team=yellow,distance=..1] CC_root 20
execute at @a[scores={char=21},team=purple] run execute at @e[tag=chilledpath] unless entity @a[tag=tombmarked] run tag @p[distance=..4,team=yellow] add tombmarked


execute at @e[tag=tombmarked,tag=!undeadbaited] run effect give @e[tag=necrominion] slowness 1 3 true
execute at @e[tag=tombmarked,tag=!undeadbaited] run execute at @e[tag=necrominion] run summon snowball ~ ~2.5 ~ {Item:{id:"minecraft:ghast_tear",Count:1b},Tags:["undeadbait"]}
tag @e[tag=tombmarked] add undeadbaited
execute as @e[type=snowball,tag=undeadbait] run data modify entity @s Owner set from entity @e[tag=tombmarked,limit=1] UUID


execute at @e[tag=tombmarked] run effect give @e[tag=necrominion,distance=..7] speed 1 0
execute at @e[tag=tombmarked] run effect give @e[tag=necrominion,distance=7..] speed 1 4


execute at @e[tag=tombmarked] run particle item_snowball ~ ~ ~ 0.5 0.5 0.5 0.001 15 normal
execute at @a[scores={char=21,spell_necr_1_1=80}] run tag @a remove tombmarked
execute at @a[scores={char=21,spell_necr_1_1=80}] run tag @a remove undeadbaited

#frozen tomb



execute at @a[scores={char=21,spell_necr_2_1=1}] if entity @e[tag=tombmarked] run execute at @e[tag=tombmarked] run summon armor_stand ~ ~ ~ {Marker:1b,NoGravity:1b,Invulnerable:1b,Invisible:1b,Tags:["tomb"]}
execute at @a[scores={char=21,spell_necr_2_1=1}] if entity @e[tag=tombmarked] run playsound minecraft:entity.wither.shoot master @a[distance=..10] ~ ~ ~ 1.0 0.1 1.0
execute at @a[scores={char=21,spell_necr_2_1=20}] if entity @e[tag=tombmarked] run execute at @e[tag=tombmarked] run playsound minecraft:block.glass.break master @a[distance=..10] ~ ~ ~ 1 0.1 1

execute at @a[scores={char=21,spell_necr_2_1=1}] unless entity @e[tag=tombmarked] run summon armor_stand ~ ~ ~ {Marker:1b,NoGravity:1b,Invulnerable:1b,Invisible:1b,Tags:["sanctuary"]}
execute at @a[scores={char=21,spell_necr_2_1=1}] unless entity @e[tag=tombmarked] run playsound minecraft:entity.wither.shoot master @a[distance=..10] ~ ~ ~ 1 0.1 1
execute at @a[scores={char=21,spell_necr_2_1=1}] unless entity @e[tag=tombmarked] run tp @e[tag=necrominion] @a[scores={char=21},limit=1]
execute at @a[scores={char=21,spell_necr_2_1=1}] unless entity @e[tag=tombmarked] run effect give @e[tag=necrominion] instant_damage 1 10 true

execute at @e[tag=sanctuary] run particle minecraft:block ice ~ ~ ~ 1.5 0.2 1.5 0.1 80 normal
execute at @e[tag=sanctuary] run execute at @a[scores={char=21},distance=..2] run particle minecraft:block blue_ice ~ ~ ~ 0.5 1 0.5 0.1 70 normal

execute at @a[scores={char=21,spell_necr_2_1=20..40}] run execute at @e[tag=tomb] run fill ~3 ~ ~3 ~-3 ~ ~-3 blue_ice replace air
execute at @a[scores={char=21,spell_necr_2_1=20..40}] run execute at @e[tag=tomb] run fill ~2 ~ ~2 ~-2 ~ ~-2 air replace blue_ice
execute at @a[scores={char=21,spell_necr_2_1=80}] run execute at @e[tag=tomb] run fill ~4 ~4 ~4 ~-4 ~ ~-4 air replace blue_ice

execute at @a[scores={char=21,spell_necr_2_1=1..5}] run execute at @e[tag=sanctuary] run fill ~-2 ~ ~-2 ~2 ~ ~2 blue_ice replace air
execute at @a[scores={char=21,spell_necr_2_1=1..5}] run execute at @e[tag=sanctuary] run fill ~-1 ~-1 ~-1 ~1 ~ ~1 air replace blue_ice

execute at @a[scores={char=21,spell_necr_2_1=50}] run execute at @e[tag=sanctuary] run fill ~4 ~4 ~4 ~-4 ~-2 ~-4 air replace blue_ice
execute at @a[scores={char=21,spell_necr_2_1=81}] run kill @e[tag=tomb]
execute at @a[scores={char=21,spell_necr_2_1=51}] run kill @e[tag=sanctuary]

execute at @e[tag=sanctuary] run scoreboard players set @a[scores={char=21},distance=..1] CC_intangible 20
execute at @e[tag=sanctuary] run effect give @a[scores={char=21},distance=..1] minecraft:resistance 1 100 
scoreboard players set @a[scores={char=21,spell_necr_2_1=80}] CC_intangible 0
effect clear @a[scores={char=21,spell_necr_2_1=80}] resistance 

execute at @e[tag=tomb] run particle minecraft:dolphin ~ ~ ~ 4 0.5 4 0.001 100 normal
execute at @e[tag=tomb] run particle minecraft:block ice ~ ~ ~ 3 0.2 3 0.1 150 normal


execute at @a[scores={char=21,spell_necr_2_1=1..20}] if entity @e[tag=tombmarked] run execute at @e[tag=tomb] run particle minecraft:falling_dust snow ~ ~ ~3 2 0.5 0.3 0.1 100
execute at @a[scores={char=21,spell_necr_2_1=1..20}] if entity @e[tag=tombmarked] run execute at @e[tag=tomb] run particle minecraft:falling_dust snow ~ ~ ~-3 2 0.5 0.3 0.1 100
execute at @a[scores={char=21,spell_necr_2_1=1..20}] if entity @e[tag=tombmarked] run execute at @e[tag=tomb] run particle minecraft:falling_dust snow ~3 ~ ~ 0.3 0.5 2 0.1 100
execute at @a[scores={char=21,spell_necr_2_1=1..20}] if entity @e[tag=tombmarked] run execute at @e[tag=tomb] run particle minecraft:falling_dust snow ~-3 ~ ~ 0.3 0.5 2 0.1 100


execute at @a[scores={char=21},team=yellow] run execute at @e[tag=tomb] run effect give @a[team=purple,distance=..4] jump_boost 1 128 true
execute at @a[scores={char=21},team=yellow] run execute at @e[tag=tomb] run scoreboard players set @a[team=purple,distance=..4] CC_grounded 20
execute at @a[scores={char=21},team=purple] run execute at @e[tag=tomb] run effect give @a[team=yellow,distance=..4] jump_boost 1 128 true
execute at @a[scores={char=21},team=purple] run execute at @e[tag=tomb] run scoreboard players set @a[team=yellow,distance=..4] CC_grounded 20



#passive

execute at @a[scores={curse_death=1,curse=1..}] run execute at @a[scores={char=21},team=yellow] run summon zombie ~ ~ ~ {Team:"yellow",Health:30f,Tags:["necrominion"],CustomName:'{"text":"Undead"}',ArmorItems:[{},{},{},{id:'minecraft:stone_button',Count:1b}],Attributes:[{Name:generic.max_health,Base:20},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:10}]}
execute at @a[scores={curse_death=1,curse=1..}] run execute at @a[scores={char=21},team=purple] run summon zombie ~ ~ ~ {Team:"purple",Health:30f,Tags:["necrominion"],CustomName:'{"text":"Undead"}',ArmorItems:[{},{},{},{id:'minecraft:stone_button',Count:1b}],Attributes:[{Name:generic.max_health,Base:20},{Name:generic.knockback_resistance,Base:1},{Name:generic.attack_damage,Base:10}]}
scoreboard players set @a[scores={curse_death=1..}] curse 0
scoreboard players set @a[scores={curse_death=1..}] curse_death 0

execute at @e[tag=necrominion] if entity @a[scores={char=21},team=purple] run scoreboard players set @a[distance=..2,team=yellow] curse 120
execute at @e[tag=necrominion] if entity @a[scores={char=21},team=yellow] run scoreboard players set @a[distance=..2,team=purple] curse 120



execute at @a[scores={zombiekills=1..}] as @a[scores={char=21}] run function chars:add_kill
scoreboard players remove @a[scores={zombiekills=1..}] zombiekills 1

execute at @a[scores={char=21,curse_spread=1..},team=purple] run scoreboard players set @a[distance=..7,team=yellow] curse 120
execute at @a[scores={char=21,curse_spread=1..},team=yellow] run scoreboard players set @a[distance=..7,team=purple] curse 120
scoreboard players set @a[scores={curse_spread=1..}] curse_spread 0
scoreboard players remove @a[scores={curse=1..}] curse 1
execute at @a[scores={curse=1..}] run particle minecraft:dolphin ~ ~ ~ 0.5 0.2 0.5 1 50 normal



#execute at @a[scores={char=21,spell_necr_2_1=1}] run summon armor_stand ~ ~ ~ {Invisible:1b,Tags:["frozentombshoot"],NoGravity:1b}
#tp @e[tag=frozentombshoot,limit=1] @a[scores={char=21,spell_necr_2_1=1},limit=1]
#execute as @e[tag=frozentombshoot] at @s run tp @s ^ ^ ^1
#execute at @e[tag=frozentombshoot] run particle minecraft:falling_dust snow ~ ~1 ~ 0.1 0.1 0.1 0.001 5 normal
#execute at @a[scores={char=21,spell_necr_2_1=20}] run kill @e[tag=frozentombshoot]

